#pragma once

#include <wx/glcanvas.h>
#include <cv.h>
#include <boost/shared_ptr.hpp>

#include "Capture.h"

using namespace boost;

class FramePipeline
{
public:
	FramePipeline(void);

	virtual void execute(shared_ptr<Capture> capture)=0;
	virtual void init()=0;

	~FramePipeline(void);
};

